From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/flaky/
Date: Mon, 11 Mar 2024 04:10:08 +0000 (UTC) [thread overview]
Message-ID: <1710130122.b4caf1bd4f77664167840ee3265fbcb70e62b0d1.mgorny@gentoo> (raw)
commit: b4caf1bd4f77664167840ee3265fbcb70e62b0d1
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 11 03:57:27 2024 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Mar 11 04:08:42 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b4caf1bd
dev-python/flaky: Bump to 3.8.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/flaky/Manifest | 1 +
dev-python/flaky/flaky-3.8.0.ebuild | 38 +++++++++++++++++++++++++++++++++++++
2 files changed, 39 insertions(+)
diff --git a/dev-python/flaky/Manifest b/dev-python/flaky/Manifest
index 18849b18c5ea..f745c6bb2b5e 100644
--- a/dev-python/flaky/Manifest
+++ b/dev-python/flaky/Manifest
@@ -1 +1,2 @@
DIST flaky-3.7.0.tar.gz 29591 BLAKE2B 747fbda71055bba937abf3e7b97691c1f4b222f085069d1815d5a9eba669464d2ed5d6dcf1842ae82f1970de5cd5e3aea5b12476bfa2d9282549ad0cc62901e9 SHA512 b399f6e1323d6ca341803ac6f1eb318bf24dc37182d0b49b89bb81b9466dd36271ad6dbb9f48ea6fa4760ee631f1482bb6f49c64f4d4520c40634089c1b64f9a
+DIST flaky-3.8.0.tar.gz 25227 BLAKE2B 64ad4658058a2e6704b7493553ab3ffa0af7eccf1eaeb6eb5336f3ca5a25c1a187d641e49d983537d8ca0d7c48fdb944e18af788bb364c37ce1a0251cd36bdbb SHA512 3023bb136f9d91ffa149081f6483ae6bf85a4e689e0614b64d92880b3bdc312bfd2e6b1ddea43a33cd0a4a60daf3cedb1b2820bf25960adab21164d599d6fd44
diff --git a/dev-python/flaky/flaky-3.8.0.ebuild b/dev-python/flaky/flaky-3.8.0.ebuild
new file mode 100644
index 000000000000..7fbc776453fb
--- /dev/null
+++ b/dev-python/flaky/flaky-3.8.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Plugin for pytest that automatically reruns flaky tests"
+HOMEPAGE="
+ https://github.com/box/flaky/
+ https://pypi.org/project/flaky/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x64-solaris"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/pytest[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/genty[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ epytest -k 'example and not options' --doctest-modules test/test_pytest/ || die
+ epytest -p no:flaky test/test_pytest/test_flaky_pytest_plugin.py || die
+ epytest --force-flaky --max-runs 2 test/test_pytest/test_pytest_options_example.py || die
+}
next reply other threads:[~2024-03-11 4:10 UTC|newest]
Thread overview: 58+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-03-11 4:10 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-05-09 13:12 [gentoo-commits] repo/gentoo:master commit in: dev-python/flaky/ Michał Górny
2024-05-09 13:12 Michał Górny
2024-03-30 14:14 Michał Górny
2024-03-30 13:59 Michał Górny
2024-03-13 6:51 Michał Górny
2024-03-05 5:18 Michał Górny
2023-05-23 15:42 Michał Górny
2023-03-03 17:48 Michał Górny
2023-03-03 17:48 Michał Górny
2023-03-03 17:37 Arthur Zamarin
2023-02-01 13:18 Michał Górny
2022-12-25 9:43 Michał Górny
2022-06-10 6:54 Michał Górny
2022-06-10 3:09 Sam James
2022-05-10 10:07 Michał Górny
2022-05-10 10:07 Michał Górny
2021-05-06 18:45 Michał Górny
2020-11-28 15:26 Sam James
2020-10-16 18:22 Michał Górny
2020-09-20 15:38 Michał Górny
2020-09-18 14:48 Michał Górny
2020-09-08 22:46 Sam James
2020-09-08 19:11 Michał Górny
2020-07-10 6:30 Michał Górny
2020-05-25 19:48 Michał Górny
2020-01-26 17:21 Michał Górny
2019-12-24 14:21 Mikle Kolyada
2019-12-19 18:35 Sergei Trofimovich
2019-12-15 13:53 Agostino Sarubbo
2019-12-15 13:36 Sergei Trofimovich
2019-12-15 13:24 Sergei Trofimovich
2019-12-15 11:38 Agostino Sarubbo
2019-12-02 21:13 Aaron Bauman
2019-11-15 23:51 Michał Górny
2019-11-15 23:51 Michał Górny
2019-04-09 1:32 Aaron Bauman
2019-02-27 4:39 Aaron Bauman
2018-11-19 21:15 Fabian Groffen
2018-08-18 3:03 Mikle Kolyada
2018-02-21 22:11 Michał Górny
2017-10-08 16:53 Tim Harder
2017-08-02 4:06 Sebastien Fabbro
2017-08-01 20:06 Michał Górny
2017-05-02 11:58 Michał Górny
2017-01-21 11:48 Jeroen Roovers
2016-12-06 19:35 Markus Meier
2016-11-27 15:09 Tobias Klausmann
2016-11-27 13:51 Tobias Klausmann
2016-11-25 18:54 Agostino Sarubbo
2016-11-25 18:27 Agostino Sarubbo
2016-07-18 9:56 Patrick Lauer
2016-02-18 18:14 Patrick Lauer
2016-01-20 8:20 Justin Lecher
2016-01-07 8:56 Justin Lecher
2015-11-06 10:44 Justin Lecher
2015-11-04 14:15 Justin Lecher
2015-11-04 14:15 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1710130122.b4caf1bd4f77664167840ee3265fbcb70e62b0d1.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox